Bug 65029 - jmeter do wrong with the CODEBASE in APPLET.
Summary: jmeter do wrong with the CODEBASE in APPLET.
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 5.4
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: JMETER_5.4
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2020-12-26 16:32 UTC by Wicky Tam
Modified: 2020-12-29 02:29 UTC (History)
0 users



Attachments
the view result tree file (219.81 KB, text/xml)
2020-12-26 16:32 UTC, Wicky Tam
Details
Jmx (219.81 KB, text/xml)
2020-12-29 02:28 UTC, Wicky Tam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wicky Tam 2020-12-26 16:32:10 UTC
Created attachment 37649 [details]
the view result tree file

1.the web page have a Applet(you can see it in the response of FlightsHP-79-2-0 in the attachment):
<APPLET CODEBASE="/WebTours/classes/" CODE="FormDateUpdate.class" MAYSCRIPT Width=26 Height=28 BORDER=0>
 ......
</APPLET>
2. In HTTP request, "Retrieve All Embedded Resources from HTML Files "is checked.but jmeter doesn't request the FormDateUpdate.class in /WebTours/classes/,but requests the ./FormDateUpdate.class. the CODEBASE is ignored.(you can see it in the response of FlightsHP-79-2-1 in the attachment):
Comment 1 Felix Schumacher 2020-12-27 13:52:12 UTC
Can you try the next nightly or trunk build and report, whether it fixes your issue?

I have only added support to Lagarto, JSoup and (hopefully) JTidy parser. As you didn't specified, which you used, I assume, that you were using the default one.

commit 38f8738c3d5b7152e41ceae6e0db97e7b2c3953c
Author: Felix Schumacher <felix.schumacher@internetallee.de>
AuthorDate: Sun Dec 27 14:49:01 2020 +0100

    Try harder to correctly guess the URL for applets, when download embedded URLs is enabled
    
    Bugzilla Id: 65029
---
 .../apache/jmeter/protocol/http/parser/HTMLParser.java    |  1 +
 .../jmeter/protocol/http/parser/JTidyHTMLParser.java      | 11 ++++++++++-
 .../jmeter/protocol/http/parser/JsoupBasedHtmlParser.java | 15 ++++++++++++++-
 .../protocol/http/parser/LagartoBasedHtmlParser.java      | 15 ++++++++++++++-
 .../protocol/http/parser/TestBug60842HtmlParser.java      |  6 ++++++
 xdocs/changes.xml                                         |  1 +
 6 files changed, 46 insertions(+), 3 deletions(-)
Comment 2 Wicky Tam 2020-12-29 02:28:31 UTC
Created attachment 37659 [details]
Jmx
Comment 3 Wicky Tam 2020-12-29 02:29:21 UTC
the bug is fixed! Thanks!